From d2cad67896846f79f6fddc234fa7e022b9f7208d Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Thu, 20 Sep 2018 07:32:37 +0100
Subject: [PATCH 14/39] add filename to line number pragmas to avoid massive
 confusion

---
 src/source_filter.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/source_filter.rb b/src/source_filter.rb
index 77327a66..0590b7ff 100644
--- a/src/source_filter.rb
+++ b/src/source_filter.rb
@@ -61,7 +61,7 @@ def handle_class(line)
 	q=ClassDecl.new(classname,superclassname,{},{},{},false)
 	$stack << q
 	$classes << q
-	Out.print "#define THISCLASS #{classname}\n\# #{$linenumber}\n"
+	Out.print "#define THISCLASS #{classname}\n\# #{$linenumber} \"#{ARGV[0]}\"\n"
 	if rest and /^\{/ =~ rest then
 		Out.print "struct #{classname} "
 		Out.print ": #{superclassname}" if superclassname
-- 
2.19.1

